#
# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
%bcond_without	tests	# unit tests
%bcond_without	doc	# Sphinx documentation

%define 	module	six
Summary:	Six - Python 2 and 3 Compatibility Library (Python 2 module)
Summary(pl.UTF-8):	Biblioteka kompatybilności między Pythonem 2 i 3 (moduł Pythona 2)
Name:		python-%{module}
Version:	1.11.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/six/
Source0:	https://files.pythonhosted.org/packages/source/s/six/six-%{version}.tar.gz
# Source0-md5:	d12789f9baf7e9fb2524c0c64f1773f8
Patch0:		%{name}-tests.patch
URL:		http://pythonhosted.org/six/
%if %{with python2}
BuildRequires:	python >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-py
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-py
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Six provides simple utilities for wrapping over differences between
Python 2 and Python 3. It is intended to support codebases that work
on both Python 2 and 3 without modification. six consists of only one
Python file, so it is painless to copy into a project.

This package contains Python 2 module.

%description -l pl.UTF-8
Six dostarcza proste narzędzia obudowujące różnice między Pythonem 2 a
Pythonem 3. Celem jest wsparcie kodu działającego zarówno z Pythonem 2
jak i 3 bez modyfikacji. six składa się z tylko jednego pliku
pythonowego, więc można go bezproblemowo skopiować do projektu.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-%{module}
Summary:	Six - Python 2 and 3 Compatibility Library (Python 3 module)
Summary(pl.UTF-8):	Biblioteka kompatybilności między Pythonem 2 i 3 (moduł Pythona 3)
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Six provides simple utilities for wrapping over differences between
Python 2 and Python 3. It is intended to support codebases that work
on both Python 2 and 3 without modification. six consists of only one
Python file, so it is painless to copy into a project.

This package contains Python 3 module.

%description -n python3-%{module} -l pl.UTF-8
Six dostarcza proste narzędzia obudowujące różnice między Pythonem 2 a
Pythonem 3. Celem jest wsparcie kodu działającego zarówno z Pythonem 2
jak i 3 bez modyfikacji. six składa się z tylko jednego pliku
pythonowego, więc można go bezproblemowo skopiować do projektu.

Ten pakiet zawiera moduł Pythona 3.

%package apidocs
Summary:	Documentation for Python six module
Summary(pl.UTF-8):	Dokumentacja modułu Pythona six
Group:		Documentation

%description apidocs
Documentation for Python six module.

%description apidocs -l pl.UTF-8
Dokumentacja modułu Pythona six.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python} -m pytest test_six.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} -m pytest test_six.py
%endif
%endif

%if %{with doc}
%{__make} -C documentation html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py_sitescriptdir}/six.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/six-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py3_sitescriptdir}/six.py
%{py3_sitescriptdir}/__pycache__/six.*.py[co]
%{py3_sitescriptdir}/six-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc documentation/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Jul 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-six.git;a=log;h=master

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7a7ec46
- updated to 1.11.0
- added tests patch (avoid potential test failure caused by some pytest extension), run unit tests
- added -apidocs package

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 581b424
- release 4 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 82645b6
- python3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7437295
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f1968a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1c4b2e5
- automatic change: use py_build/py_install macros

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 6877616
- updated to 1.10.0

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c430a5d
- release 2 (by relup.sh)

* Thu Mar 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 71fe2b5
- updated to 1.9.0

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 274ccdf
- updated to 1.8.0

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 213ec5b
- updated to 1.7.3

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> eb01975
- updated to 1.7.2

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b093fa
- rpmbuild(macros) version for py3_* macros

* Fri Feb 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a218e9
- updated to 1.5.2
- pl
- fixed python2 package dependencies and python3 __pycache__ dir ownership

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 0e35a0f
- new package

